Skip to main content

Give points

POST /v1/public/customers/{customerId}/cards/{cardId}/points

Adds points to a customer points card and issues any rewards reached through the card progression. This operation requires an idempotency key.

Authorization

X-API-Key required with the customers:write scope

Parameters

NameLocationTypeRequiredDescription
customerIdpathstringYesThe customer's returned id or externalId.
cardIdpathstringYesThe customer loyalty-card instance's returned id or externalId, not its template ID.
Idempotency-KeyheaderstringYesA unique key for this logical write operation. Keys are retained for 24 hours.

Request body

FieldTypeRequiredDescription
quantitynumberYes
locationIdstringNoOptional active merchant location responsible for the award.

Request example

curl -X POST "https://api.remyrewards.co.uk/v1/public/customers/66c735e253f2836fbe941235/cards/66c735e253f2836fbe941237/points" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Idempotency-Key: order-1042-redeem-1" \
  -H "Content-Type: application/json" \
  --data '{
  "quantity": 25,
  "locationId": "66c735e253f2836fbe941333"
}'

Responses

StatusDescription
200Points given.
400The request is missing a required value or contains invalid data.
401The API key is missing or invalid.
403The API key is valid but does not have the required scope.
404The requested integration resource was not found.
409The idempotency key is already processing or was used for a different request.
429A rate or concurrency limit was exceeded.